Announcement

Collapse
No announcement yet.

Error connection

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Error connection

    I install sc in a Ubuntu 13.04 64bits
    When I create a new project and I try to create connection to mysql db the following error occurred :
    "Connection Error
    No such file or directory
    mysql_connect(): No such file or directory"

    What is the problem here ?

  • #2
    No rights at _lib/conf ...
    Best regards: - Reinhard -

    I use ScriptCase 8 Enterprise Edition, Version 8.(latest)

    Comment


    • #3
      Can someone elaborate on "No rights at _lib/conf ..."?
      New to Linux. I setup a LAMP on another server any things work perfect. Setting up SC on a clean Ubuntu poses challenges.

      All examples work wit SQLlite - same connect error as above trying to use MySQL.

      Looks like a nice product. Any suggestions of others which grid, form, report and chart?

      Thanks
      Last edited by harris; 12-19-2013, 10:08 PM. Reason: additional

      Comment


      • #4
        To solve the problem you can edit php.ini (Netmake/v71/components/apache/conf/) and set "default-socket" to the path of "mysqld.sock" of your mysql

        Thanks

        Comment


        • #5
          Work for this way. At connection SC screen Server/Host (Name or IP) change the default localhost name for ip number 127.0.0.1.

          Comment


          • #6
            Hi,

            We are currently running Scriptcase 6 and 7 on our hosted VPS which is running PHP 5.3. It would appear that Scriptcase 8 requires PHP 5.4.

            I can email our hosting provider and ask them to upgrade our VPS to PHP 5.4, but will this break the existing Scriptcase installations?

            Any info would be appreciated.

            Thanks,
            Decrease your exam stress by using our latest ccie - pass4sure and best quality testking and 640-554 - braindumps - vce pass guarantee Southern California Institute of Architecture and Florida Southern College.

            Comment


            • #7
              Originally posted by sanimirza View Post
              I can email our hosting provider and ask them to upgrade our VPS to PHP 5.4, but will this break the existing Scriptcase installations?
              On my servers i can select the php version for each directory (and sub-dirs) via entry in .htaccess:

              Code:
              #PHP5.3
              #Action application/x-httpd-php53 /cgi-sys/php53-fcgi-starter.fcgi
              #AddType application/x-httpd-php53 .php .php5 .php53
              
              
              #PHP5.4
              Action application/x-httpd-php54 /cgi-sys/php54-fcgi-starter.fcgi
              AddType application/x-httpd-php54 .php .php5 .php54
              If that is possible in your server then you can run SC in version 6, 7 and 8 on the same server.
              Best regards: - Reinhard -

              I use ScriptCase 8 Enterprise Edition, Version 8.(latest)

              Comment

              Working...
              X